OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.VertexProgram

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVVertexProgram :: MonadIO m => m Bool
- gl_NV_vertex_program :: Bool
- gl_ATTRIB_ARRAY_POINTER_NV :: GLenum
- gl_ATTRIB_ARRAY_SIZE_NV :: GLenum
- gl_ATTRIB_ARRAY_STRIDE_NV :: GLenum
- gl_ATTRIB_ARRAY_TYPE_NV :: GLenum
- gl_CURRENT_ATTRIB_NV :: GLenum
- gl_CURRENT_MATRIX_NV :: GLenum
- gl_CURRENT_MATRIX_STACK_DEPTH_NV :: GLenum
- gl_IDENTITY_NV :: GLenum
- gl_INVERSE_NV :: GLenum
- gl_INVERSE_TRANSPOSE_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB0_4_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB10_4_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB11_4_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB12_4_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB13_4_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB14_4_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB15_4_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB1_4_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB2_4_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB3_4_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB4_4_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB5_4_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB6_4_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB7_4_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB8_4_NV :: GLenum
- gl_MAP1_VERTEX_ATTRIB9_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB0_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB10_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB11_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB12_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB13_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB14_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB15_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB1_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB2_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB3_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB4_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB5_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB6_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB7_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB8_4_NV :: GLenum
- gl_MAP2_VERTEX_ATTRIB9_4_NV :: GLenum
- gl_MATRIX0_NV :: GLenum
- gl_MATRIX1_NV :: GLenum
- gl_MATRIX2_NV :: GLenum
- gl_MATRIX3_NV :: GLenum
- gl_MATRIX4_NV :: GLenum
- gl_MATRIX5_NV :: GLenum
- gl_MATRIX6_NV :: GLenum
- gl_MATRIX7_NV :: GLenum
- gl_MAX_TRACK_MATRICES_NV :: GLenum
- gl_MAX_TRACK_MATRIX_STACK_DEPTH_NV :: GLenum
- gl_MODELVIEW_PROJECTION_NV :: GLenum
- gl_PROGRAM_ERROR_POSITION_NV :: GLenum
- gl_PROGRAM_LENGTH_NV :: GLenum
- gl_PROGRAM_PARAMETER_NV :: GLenum
- gl_PROGRAM_RESIDENT_NV :: GLenum
- gl_PROGRAM_STRING_NV :: GLenum
- gl_PROGRAM_TARGET_NV :: GLenum
- gl_TRACK_MATRIX_NV :: GLenum
- gl_TRACK_MATRIX_TRANSFORM_NV :: GLenum
- gl_TRANSPOSE_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY0_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY10_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY11_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY12_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY13_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY14_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY15_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY1_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY2_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY3_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY4_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY5_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY6_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY7_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY8_NV :: GLenum
- gl_VERTEX_ATTRIB_ARRAY9_NV :: GLenum
- gl_VERTEX_PROGRAM_BINDING_NV :: GLenum
- gl_VERTEX_PROGRAM_NV :: GLenum
- gl_VERTEX_PROGRAM_POINT_SIZE_NV :: GLenum
- gl_VERTEX_PROGRAM_TWO_SIDE_NV :: GLenum
- gl_VERTEX_STATE_PROGRAM_NV :: GLenum
- glAreProgramsResidentNV :: MonadIO m => GLsizei -> Ptr GLuint -> Ptr GLboolean -> m GLboolean
- glBindProgramNV :: MonadIO m => GLenum -> GLuint -> m ()
- glDeleteProgramsNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glExecuteProgramNV :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glGenProgramsNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetProgramParameterdvNV :: MonadIO m => GLenum -> GLuint -> GLenum -> Ptr GLdouble -> m ()
- glGetProgramParameterfvNV :: MonadIO m => GLenum -> GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetProgramStringNV :: MonadIO m => GLuint -> GLenum -> Ptr GLubyte -> m ()
- glGetProgramivNV :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetTrackMatrixivNV :: MonadIO m => GLenum -> GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVertexAttribPointervNV :: MonadIO m => GLuint -> GLenum -> Ptr (Ptr a) -> m ()
- glGetVertexAttribdvNV :: MonadIO m => GLuint -> GLenum -> Ptr GLdouble -> m ()
- glGetVertexAttribfvNV :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetVertexAttribivNV :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glIsProgramNV :: MonadIO m => GLuint -> m GLboolean
- glLoadProgramNV :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLubyte -> m ()
- glProgramParameter4dNV :: MonadIO m => GLenum -> GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glProgramParameter4dvNV :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glProgramParameter4fNV :: MonadIO m => GLenum -> GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glProgramParameter4fvNV :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glProgramParameters4dvNV :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLdouble -> m ()
- glProgramParameters4fvNV :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glRequestResidentProgramsNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glTrackMatrixNV :: MonadIO m => GLenum -> GLuint -> GLenum -> GLenum -> m ()
- glVertexAttrib1dNV :: MonadIO m => GLuint -> GLdouble -> m ()
- glVertexAttrib1dvNV :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib1fNV :: MonadIO m => GLuint -> GLfloat -> m ()
- glVertexAttrib1fvNV :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib1sNV :: MonadIO m => GLuint -> GLshort -> m ()
- glVertexAttrib1svNV :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib2dNV :: MonadIO m => GLuint -> GLdouble -> GLdouble -> m ()
- glVertexAttrib2dvNV :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib2fNV :: MonadIO m => GLuint -> GLfloat -> GLfloat -> m ()
- glVertexAttrib2fvNV :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib2sNV :: MonadIO m => GLuint -> GLshort -> GLshort -> m ()
- glVertexAttrib2svNV :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib3dNV :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttrib3dvNV :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib3fNV :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> m ()
- glVertexAttrib3fvNV :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib3sNV :: MonadIO m => GLuint -> GLshort -> GLshort -> GLshort -> m ()
- glVertexAttrib3svNV :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib4dNV :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttrib4dvNV :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib4fNV :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glVertexAttrib4fvNV :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib4sNV :: MonadIO m => GLuint -> GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glVertexAttrib4svNV :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib4ubNV :: MonadIO m => GLuint -> GLubyte -> GLubyte -> GLubyte -> GLubyte -> m ()
- glVertexAttrib4ubvNV :: MonadIO m => GLuint -> Ptr GLubyte -> m ()
- glVertexAttribPointerNV :: MonadIO m => GLuint -> GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glVertexAttribs1dvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLdouble -> m ()
- glVertexAttribs1fvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glVertexAttribs1svNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLshort -> m ()
- glVertexAttribs2dvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLdouble -> m ()
- glVertexAttribs2fvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glVertexAttribs2svNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLshort -> m ()
- glVertexAttribs3dvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLdouble -> m ()
- glVertexAttribs3fvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glVertexAttribs3svNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLshort -> m ()
- glVertexAttribs4dvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLdouble -> m ()
- glVertexAttribs4fvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glVertexAttribs4svNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLshort -> m ()
- glVertexAttribs4ubvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLubyte -> m ()

# Extension Support

glGetNVVertexProgram :: MonadIO m => m Bool

Is the NV_vertex_program extension supported?

gl_NV_vertex_program :: Bool

Is the NV_vertex_program extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVVertexProgram` in those cases instead.

# Enums

gl_ATTRIB_ARRAY_POINTER_NV :: GLenum

gl_ATTRIB_ARRAY_SIZE_NV :: GLenum

gl_ATTRIB_ARRAY_STRIDE_NV :: GLenum

gl_ATTRIB_ARRAY_TYPE_NV :: GLenum

gl_CURRENT_ATTRIB_NV :: GLenum

gl_CURRENT_MATRIX_NV :: GLenum

gl_CURRENT_MATRIX_STACK_DEPTH_NV :: GLenum

gl_IDENTITY_NV :: GLenum

gl_INVERSE_NV :: GLenum

gl_INVERSE_TRANSPOSE_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB0_4_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB10_4_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB11_4_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB12_4_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB13_4_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB14_4_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB15_4_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB1_4_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB2_4_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB3_4_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB4_4_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB5_4_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB6_4_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB7_4_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB8_4_NV :: GLenum

gl_MAP1_VERTEX_ATTRIB9_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB0_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB10_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB11_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB12_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB13_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB14_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB15_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB1_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB2_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB3_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB4_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB5_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB6_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB7_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB8_4_NV :: GLenum

gl_MAP2_VERTEX_ATTRIB9_4_NV :: GLenum

gl_MATRIX0_NV :: GLenum

gl_MATRIX1_NV :: GLenum

gl_MATRIX2_NV :: GLenum

gl_MATRIX3_NV :: GLenum

gl_MATRIX4_NV :: GLenum

gl_MATRIX5_NV :: GLenum

gl_MATRIX6_NV :: GLenum

gl_MATRIX7_NV :: GLenum

gl_MAX_TRACK_MATRICES_NV :: GLenum

gl_MAX_TRACK_MATRIX_STACK_DEPTH_NV :: GLenum

gl_MODELVIEW_PROJECTION_NV :: GLenum

gl_PROGRAM_ERROR_POSITION_NV :: GLenum

gl_PROGRAM_LENGTH_NV :: GLenum

gl_PROGRAM_PARAMETER_NV :: GLenum

gl_PROGRAM_RESIDENT_NV :: GLenum

gl_PROGRAM_STRING_NV :: GLenum

gl_PROGRAM_TARGET_NV :: GLenum

gl_TRACK_MATRIX_NV :: GLenum

gl_TRACK_MATRIX_TRANSFORM_NV :: GLenum

gl_TRANSPOSE_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY0_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY10_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY11_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY12_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY13_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY14_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY15_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY1_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY2_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY3_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY4_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY5_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY6_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY7_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY8_NV :: GLenum

gl_VERTEX_ATTRIB_ARRAY9_NV :: GLenum

gl_VERTEX_PROGRAM_BINDING_NV :: GLenum

gl_VERTEX_PROGRAM_NV :: GLenum

gl_VERTEX_PROGRAM_POINT_SIZE_NV :: GLenum

gl_VERTEX_PROGRAM_TWO_SIDE_NV :: GLenum

gl_VERTEX_STATE_PROGRAM_NV :: GLenum

# Functions

glAreProgramsResidentNV

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `programs` pointing to `n` elements of type `GLuint`.
-> Ptr GLboolean | `residences` pointing to `n` elements of type Boolean.
-> m GLboolean | of type Boolean.

glBindProgramNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `VertexAttribEnumNV`.
-> GLuint | `id`.
-> m () |

This command is an alias for `glBindProgramARB`.

glDeleteProgramsNV

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `programs` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glDeleteProgramsARB`.

glExecuteProgramNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `VertexAttribEnumNV`.
-> GLuint | `id`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glGenProgramsNV

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `programs` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glGenProgramsARB`.

glGetProgramParameterdvNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `VertexAttribEnumNV`.
-> GLuint | `index`.
-> GLenum | `pname` of type `VertexAttribEnumNV`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glGetProgramParameterfvNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `VertexAttribEnumNV`.
-> GLuint | `index`.
-> GLenum | `pname` of type `VertexAttribEnumNV`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glGetProgramStringNV

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type `VertexAttribEnumNV`.
-> Ptr GLubyte | `program` pointing to `COMPSIZE(id,pname)` elements of type `ProgramCharacterNV`.
-> m () |

glGetProgramivNV

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type `VertexAttribEnumNV`.
-> Ptr GLint | `params` pointing to `4` elements of type `GLint`.
-> m () |

glGetTrackMatrixivNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `VertexAttribEnumNV`.
-> GLuint | `address`.
-> GLenum | `pname` of type `VertexAttribEnumNV`.
-> Ptr GLint | `params` pointing to `1` element of type `GLint`.
-> m () |

glGetVertexAttribPointervNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type `VertexAttribEnumNV`.
-> Ptr (Ptr a) | `pointer` pointing to `1` element of type `Ptr a`.
-> m () |

This command is an alias for `glGetVertexAttribPointerv`.

glGetVertexAttribdvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type `VertexAttribEnumNV`.
-> Ptr GLdouble | `params` pointing to `1` element of type `GLdouble`.
-> m () |

This command is an alias for `glGetVertexAttribdv`.

glGetVertexAttribfvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type `VertexAttribEnumNV`.
-> Ptr GLfloat | `params` pointing to `1` element of type `GLfloat`.
-> m () |

This command is an alias for `glGetVertexAttribfv`.

glGetVertexAttribivNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type `VertexAttribEnumNV`.
-> Ptr GLint | `params` pointing to `1` element of type `GLint`.
-> m () |

This command is an alias for `glGetVertexAttribiv`.

glIsProgramNV

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m GLboolean | of type Boolean.

This command is an alias for `glIsProgramARB`.

glLoadProgramNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `VertexAttribEnumNV`.
-> GLuint | `id`.
-> GLsizei | `len`.
-> Ptr GLubyte | `program` pointing to `len` elements of type `GLubyte`.
-> m () |

glProgramParameter4dNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `VertexAttribEnumNV`.
-> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

The vector equivalent of this command is `glProgramParameter4dvNV`.

glProgramParameter4dvNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `VertexAttribEnumNV`.
-> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `4` elements of type `GLdouble`.
-> m () |

glProgramParameter4fNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `VertexAttribEnumNV`.
-> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

The vector equivalent of this command is `glProgramParameter4fvNV`.

glProgramParameter4fvNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `VertexAttribEnumNV`.
-> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `4` elements of type `GLfloat`.
-> m () |

glProgramParameters4dvNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `VertexAttribEnumNV`.
-> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLdouble | `v` pointing to `count*4` elements of type `GLdouble`.
-> m () |

glProgramParameters4fvNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `VertexAttribEnumNV`.
-> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLfloat | `v` pointing to `count*4` elements of type `GLfloat`.
-> m () |

glRequestResidentProgramsNV

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `programs` pointing to `n` elements of type `GLuint`.
-> m () |

glTrackMatrixNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `VertexAttribEnumNV`.
-> GLuint | `address`.
-> GLenum | `matrix` of type `VertexAttribEnumNV`.
-> GLenum | `transform` of type `VertexAttribEnumNV`.
-> m () |

glVertexAttrib1dNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> m () |

The vector equivalent of this command is `glVertexAttrib1dvNV`. This command is an alias for `glVertexAttrib1d`.

glVertexAttrib1dvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `1` element of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttrib1dv`.

glVertexAttrib1fNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> m () |

The vector equivalent of this command is `glVertexAttrib1fvNV`. This command is an alias for `glVertexAttrib1f`.

glVertexAttrib1fvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `1` element of type `GLfloat`.
-> m () |

This command is an alias for `glVertexAttrib1fv`.

glVertexAttrib1sNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> m () |

The vector equivalent of this command is `glVertexAttrib1svNV`. This command is an alias for `glVertexAttrib1s`.

glVertexAttrib1svNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `1` element of type `GLshort`.
-> m () |

This command is an alias for `glVertexAttrib1sv`.

glVertexAttrib2dNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> m () |

The vector equivalent of this command is `glVertexAttrib2dvNV`. This command is an alias for `glVertexAttrib2d`.

glVertexAttrib2dvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `2` elements of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttrib2dv`.

glVertexAttrib2fNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> m () |

The vector equivalent of this command is `glVertexAttrib2fvNV`. This command is an alias for `glVertexAttrib2f`.

glVertexAttrib2fvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `2` elements of type `GLfloat`.
-> m () |

This command is an alias for `glVertexAttrib2fv`.

glVertexAttrib2sNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> GLshort | `y`.
-> m () |

The vector equivalent of this command is `glVertexAttrib2svNV`. This command is an alias for `glVertexAttrib2s`.

glVertexAttrib2svNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `2` elements of type `GLshort`.
-> m () |

This command is an alias for `glVertexAttrib2sv`.

glVertexAttrib3dNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

The vector equivalent of this command is `glVertexAttrib3dvNV`. This command is an alias for `glVertexAttrib3d`.

glVertexAttrib3dvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `3` elements of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttrib3dv`.

glVertexAttrib3fNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

The vector equivalent of this command is `glVertexAttrib3fvNV`. This command is an alias for `glVertexAttrib3f`.

glVertexAttrib3fvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

This command is an alias for `glVertexAttrib3fv`.

glVertexAttrib3sNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> GLshort | `y`.
-> GLshort | `z`.
-> m () |

The vector equivalent of this command is `glVertexAttrib3svNV`. This command is an alias for `glVertexAttrib3s`.

glVertexAttrib3svNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `3` elements of type `GLshort`.
-> m () |

This command is an alias for `glVertexAttrib3sv`.

glVertexAttrib4dNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

The vector equivalent of this command is `glVertexAttrib4dvNV`. This command is an alias for `glVertexAttrib4d`.

glVertexAttrib4dvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `4` elements of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttrib4dv`.

glVertexAttrib4fNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

The vector equivalent of this command is `glVertexAttrib4fvNV`. This command is an alias for `glVertexAttrib4f`.

glVertexAttrib4fvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `4` elements of type `GLfloat`.
-> m () |

This command is an alias for `glVertexAttrib4fv`.

glVertexAttrib4sNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> GLshort | `y`.
-> GLshort | `z`.
-> GLshort | `w`.
-> m () |

The vector equivalent of this command is `glVertexAttrib4svNV`. This command is an alias for `glVertexAttrib4s`.

glVertexAttrib4svNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `4` elements of type `GLshort`.
-> m () |

This command is an alias for `glVertexAttrib4sv`.

glVertexAttrib4ubNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLubyte | `x` of type `ColorUB`.
-> GLubyte | `y` of type `ColorUB`.
-> GLubyte | `z` of type `ColorUB`.
-> GLubyte | `w` of type `ColorUB`.
-> m () |

The vector equivalent of this command is `glVertexAttrib4ubvNV`. This command is an alias for `glVertexAttrib4Nub`.

glVertexAttrib4ubvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLubyte | `v` pointing to `4` elements of type `ColorUB`.
-> m () |

This command is an alias for `glVertexAttrib4Nubv`.

glVertexAttribPointerNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `fsize`.
-> GLenum | `type` of type `VertexAttribEnumNV`.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(fsize,type,stride)` elements of type `a`.
-> m () |

glVertexAttribs1dvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLdouble | `v` pointing to `count` elements of type `GLdouble`.
-> m () |

glVertexAttribs1fvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLfloat | `v` pointing to `count` elements of type `GLfloat`.
-> m () |

glVertexAttribs1svNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLshort | `v` pointing to `count` elements of type `GLshort`.
-> m () |

glVertexAttribs2dvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLdouble | `v` pointing to `count*2` elements of type `GLdouble`.
-> m () |

glVertexAttribs2fvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLfloat | `v` pointing to `count*2` elements of type `GLfloat`.
-> m () |

glVertexAttribs2svNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLshort | `v` pointing to `count*2` elements of type `GLshort`.
-> m () |

glVertexAttribs3dvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLdouble | `v` pointing to `count*3` elements of type `GLdouble`.
-> m () |

glVertexAttribs3fvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLfloat | `v` pointing to `count*3` elements of type `GLfloat`.
-> m () |

glVertexAttribs3svNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLshort | `v` pointing to `count*3` elements of type `GLshort`.
-> m () |

glVertexAttribs4dvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLdouble | `v` pointing to `count*4` elements of type `GLdouble`.
-> m () |

glVertexAttribs4fvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLfloat | `v` pointing to `count*4` elements of type `GLfloat`.
-> m () |

glVertexAttribs4svNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLshort | `v` pointing to `count*4` elements of type `GLshort`.
-> m () |

glVertexAttribs4ubvNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLubyte | `v` pointing to `count*4` elements of type `ColorUB`.
-> m () |